----------------------------------------------------------------------------
-- @Author: ViperGTS96------------------------------------------------------
----------------------------------------------------------------------------
--------------------"The simplest design is the best design." --------------
----------------------------------------------------------------------------
----------------------------------------------------------------------------

growNow = {};
local modDescFile = loadXMLFile("modDesc", g_currentModDirectory.."modDesc.xml");
growNow.title = getXMLString(modDescFile, "modDesc.title."..g_languageShort);
growNow.author = getXMLString(modDescFile, "modDesc.author");
growNow.version = getXMLString(modDescFile, "modDesc.version");
delete(modDescFile);

function growNow:loadMap(savegame)
	growNow.events = {};
    Player.registerActionEvents = Utils.appendedFunction(Player.registerActionEvents, growNow.registerActionEvents);
	Player.removeActionEvents = Utils.appendedFunction(Player.removeActionEvents, growNow.removeActionEvents);
    Enterable.onRegisterActionEvents = Utils.appendedFunction(Enterable.onRegisterActionEvents, growNow.registerActionEvents);
end;

function growNow:removeActionEvents()
	g_inputBinding:removeActionEvent(growNow.events[1]);
	growNow.events = {};
end;

function growNow:registerActionEvents()
	if self.isClient then
		growNow.events = {};
		local valid, eventId = g_inputBinding:registerActionEvent(InputAction.growCrops_Key, InputBinding.NO_EVENT_TARGET, growNow.growCrops, false, true, false, true);
		if valid then
			table.insert(growNow.events, eventId);
			g_inputBinding:setActionEventText(eventId, g_i18n:getText("input_growCrops_Key"));
			g_inputBinding:setActionEventTextVisibility(eventId, true);
			g_inputBinding:setActionEventTextPriority(eventId, GS_PRIO_VERYLOW);
		end;
	end;
end;

function growNow:growCrops(actionName, keyStatus, arg3, arg4, arg5)
	if actionName == "growCrops_Key" then
		g_currentMission.growthSystem:consoleCommandGrowNow(1);--period 1-12
	end;
end;

addModEventListener(growNow);

print(growNow.title.." : v"..growNow.version.." by "..growNow.author.." activated");